#11 Framework dosn't handle J2ME releases with optional packages

closed
framework (5)
5
2010-07-14
2010-07-13
Anonymous
No

Running under J2ME with AGUI, concierge fails with the error:
---------------------------------------------------------
Concierge OSGi 1.0.0 on Linux 2.6.26-rt starting ...
---------------------------------------------------------
java.lang.NumberFormatException: For input string: "1.2
Optional Pkg: AGUI Specification 1.0)"
at java.lang.NumberFormatException.forInputString(Unknown Source)
at java.lang.Integer.parseInt(Unknown Source)
at java.lang.Integer.parseInt(Unknown Source)
at ch.ethz.iks.concierge.framework.Framework.initialize(Framework.java:620)
at ch.ethz.iks.concierge.framework.Framework.startup(Framework.java:372)
at ch.ethz.iks.concierge.framework.Framework.main(Framework.java:304)
at sun.misc.CVM.runMain(Unknown Source)

Discussion

  • Jan S. Rellermeyer

    Thanks for reporting. The issue is now fixed in trunk.

    Jan.

     
  • Jan S. Rellermeyer

    • labels: --> framework
    • assigned_to: nobody --> rjan
    • status: open --> closed
     

Log in to post a comment.